%define anolis_release 1

%global desc This module provides function decorators which can be used to wrap \
a function such that it will be retried until some condition is met. \
It is meant to be of use when accessing unreliable resources with the \
potential for intermittent failures i.e. network resources and external \
APIs. Somewhat more generally, it may also be of use for dynamically \
polling resources for externally generated content.
%global srcname backoff

Name:      python-%{srcname}
Version:   2.2.1
Release:   %{anolis_release}%{?dist}
BuildArch: noarch

License: MIT
Summary: Python library providing function decorators for configurable backoff and retry
URL:     https://github.com/litl/backoff
Source0: %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: pyproject-rpm-macros

%description
%{desc}

%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%package -n     python3-%{srcname}-doc
Summary:        doc files for python3-%{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.dist-info/

%files -n python3-%{srcname}-doc
%doc CHANGELOG.md README.rst

%changelog
* Fri May 10 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.1-1
- init upstream from version 2.2.1
